- author: []
  check: []
  component:
  - scap-security-guide
  contact: []
  description: 'Verify that all playbooks provided by the scap-security-guide package

    can run in check mode.'
  discover-phase: default-0
  duration: 30m
  enabled: true
  environment:
    CONTEST_PYTHON: python3.11
    PYTHONPATH: ../../../..
    TMPDIR: /var/tmp
  framework: shell
  id: null
  link: []
  manual: false
  name: /scanning/host-os/ansible-check/check-mode/cis
  order: 50
  path: /default-0/tests/scanning/host-os/ansible-check/check-mode
  recommend:
  - python3.11-pyyaml
  - rpm-build
  - python3
  - python3-dnf
  - python3.11-urllib3
  - python3.11
  - python3.11-requests
  - python3-pyyaml
  - python3-requests
  require:
  - scap-security-guide
  - openscap-scanner
  - ansible-core
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-cise29elcgn/plans/upstream-parallel/other/ansible-check-mode/cis/discover/default-0/tests/main.fmf
  - /var/ARTIFACTS/work-cise29elcgn/plans/upstream-parallel/other/ansible-check-mode/cis/discover/default-0/tests/scanning/host-os/ansible-check/check-mode/main.fmf
  summary: Run Ansible Playbooks in Check Mode For All Profiles
  tag: []
  test: $CONTEST_PYTHON -m lib.runtest ./test.py
  tier: null
  tty: false
  where: []
